import numpy as np
from scipy.stats import dirichlet
import ternary

scale = 1

x = np.load("votes_distrib.npz")
alphas = x["alphas"].mean(axis=0)

def prob(p):
    try:
        return dirichlet.pdf(p, alphas)
    except:
        return np.array([np.nan, np.nan, np.nan])

figure, tax = ternary.figure(scale=scale)
tax.heatmapf(prob, boundary=True, style="triangular")
tax.boundary(linewidth=2.0)
tax.set_title("Shannon Entropy Heatmap")

tax.savefig("votes_distrib.eps")